---
title: "Move doc group template"
url: "https://docs.signnow.com/docs/document-group-template/operations/patch-v2-document-group-templates-doc_group_template_id-move"
type: "endpoint"
section: "document-group-template"
slug: "document-group-template/operations/patch-v2-document-group-templates-doc_group_template_id-move"
method: "PATCH"
path: "/v2/document-group-templates/{doc_group_template_id}/move"
operation_id: "patch-v2-document-group-templates-doc_group_template_id-move"
authorization: "bearer"
---

# Move doc group template

`PATCH /v2/document-group-templates/{doc_group_template_id}/move`

This endpoint allows API users to move a document group template (DGT) between personal and team folders, including nested subfolders within the team hierarchy. It is the primary method for placing a DGT into the team space or removing it from the team space.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `doc_group_template_id` | string | Yes | ID of the document group template |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "folder_id"
  ],
  "properties": {
    "folder_id": {
      "type": "string",
      "description": "ID of the destination folder. Accepts any folder within the team hierarchy (including nested subfolders), a personal `Templates` folder or subfolder, or the `Trash` folder.",
      "x-stoplight": {
        "id": "gx57gm0382ieo"
      }
    },
    "with_templates": {
      "type": "boolean",
      "default": false,
      "description": "Whether to move active document groups that are based on the template.",
      "x-stoplight": {
        "id": "9518g0g4n41xj"
      }
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "folder_id": "ddc7ce43dfc5ad3b2f0fdb1db36889ce53f00777",
  "with_templates": false
}
```

## Responses

### 204

Success

### 400

* Authorization issues
* Incorrect payload
* Empty folder_id
* Incorrect folder_id value
* Incorrect with_templates property
* User doesn't own the document group template
* Shared document group templates cannot be moved
* User doesn't have access to folder
* Folders in Templates and Trash bin available only
* Document group template not found

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 23002002,
      "message": "The `folder_id` field value is invalid."
    }
  ]
}
```

**Example** (`Empty folder_id`)

```json
{
  "errors": [
    {
      "code": 23002010,
      "message": "The `folder_id` field must not be empty."
    }
  ]
}
```

**Example** (`Incorrect payload`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Invalid payload"
    }
  ]
}
```

**Example** (`Incorrect folder_id`)

```json
{
  "errors": [
    {
      "code": 23002002,
      "message": "The `folder_id` field value is invalid."
    }
  ]
}
```

**Example** (`No access to folder`)

```json
{
  "errors": [
    {
      "code": 23002005,
      "message": "User dont have access to folder."
    }
  ]
}
```

**Example** (`Authorization issues`)

```json
{
  "errors": [
    {
      "code": 1537,
      "message": "invalid_token"
    }
  ]
}
```

**Example** (`folder_id not string`)

```json
{
  "errors": [
    {
      "code": 23002001,
      "message": "The `folder_id` field must be a string."
    }
  ]
}
```

**Example** (`Incorrect with_templates`)

```json
{
  "errors": [
    {
      "code": 23002003,
      "message": "The `with_templates` field must be a boolean."
    }
  ]
}
```

**Example** (`User doesn't own the DGT`)

```json
{
  "errors": [
    {
      "code": 23002009,
      "message": "Document group template is not readable by the user."
    }
  ]
}
```

**Example** (`Shared DGT cannot be moved`)

```json
{
  "errors": [
    {
      "code": 23002007,
      "message": "Move is not allowed for shared document group templates."
    }
  ]
}
```

**Example** (`Doc group template not found`)

```json
{
  "errors": [
    {
      "code": 23001014,
      "message": "Document Group Template <doc_group_template_id> not found"
    }
  ]
}
```

**Example** (`Use folders in Templates and Trash only`)

```json
{
  "errors": [
    {
      "code": 23002006,
      "message": "Folder of Templates and Trash bin available only."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PATCH \
  "https://api.signnow.com/v2/document-group-templates/{doc_group_template_id}/move" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"folder_id": "ddc7ce43dfc5ad3b2f0fdb1db36889ce53f00777", "with_templates": false}'
```

---
*Full reference: https://docs.signnow.com/docs/document-group-template/operations/patch-v2-document-group-templates-doc_group_template_id-move*
